/* 
 * Resampling routines prototypes header file, part of:
 *  BSD Telephony Of Mexico "Emiliano" MIPL browser/interpreter, version 1.6  3/7/01
 *
 *   Part of the "Zapata" Computer Telephony Technology.
 *
 *   See http://www.bsdtelephony.com.mx 
 *
 *   For documentation on the MIPL language and technology
 *
 *   See http://www.mipl.org
 *
 *
 *  The technologies, software, hardware, designs, drawings, scheumatics, board
 *  layouts and/or artwork, concepts, methodologies (including the use of all
 *  of these, and that which is derived from the use of all of these), all other
 *  intellectual properties contained herein, and all intellectual property
 *  rights have been and shall continue to be expressly for the benefit of all
 *  mankind, and are perpetually placed in the public domain, and may be used,
 *  copied, and/or modified by anyone, in any manner, for any legal purpose,
 *  without restriction. 
 *
 */

#if defined(__STDC__) || defined(__cplusplus)
# define P_(s) s
#else
# define P_(s) ()
#endif


/* filterkit.c */
double Izero P_((double x));
void LpFilter P_((double c[], int N, double frq, double Beta, int Num));
int writeFilter P_((HWORD Imp[], HWORD ImpD[], UHWORD LpScl, UHWORD Nmult, UHWORD Nwing));
int makeFilter P_((HWORD Imp[], HWORD ImpD[], UHWORD *LpScl, UHWORD Nwing, double Froll, double Beta));
int readFilter P_((HWORD Imp[], HWORD ImpD[], UHWORD *LpScl, UHWORD Nmult, UHWORD *Nwing));
WORD FilterUp P_((HWORD Imp[], HWORD ImpD[], UHWORD Nwing, BOOL Interp, HWORD *Xp, HWORD Ph, HWORD Inc));
WORD FilterUD P_((HWORD Imp[], HWORD ImpD[], UHWORD Nwing, BOOL Interp, HWORD *Xp, HWORD Ph, HWORD Inc, UHWORD dhb));
int initZerox P_((UHWORD tempNmult));
double zerox P_((HWORD *Data, double Factor));
BOOL Query P_((char *prompt, BOOL deflt, char *help));
char *GetString P_((char *prompt, char *deflt, char *help));
int getstr P_((char *s1, char *deflt, char *s2));
double GetDouble P_((char *title, double deflt, char *help));
unsigned short GetUShort P_((char *title, unsigned int deflt, char *help));

/* makefilter.c */
int main P_((void));

/* nres.c */
int fail P_((char *s));
int fails P_((char *s, char *s2));
int closeData P_((void));
int readData P_((HWORD Data[], int DataArraySize, int Xoff));
int writeData P_((int Nout, HWORD Data[]));
int getparams P_((int argc, char **argv, double *Factor, double *Froll));
int SrcUp P_((HWORD X[], HWORD Y[], double Factor, UWORD *Time, UHWORD Nx, UHWORD Nwing, UHWORD LpScl, HWORD Imp[], HWORD ImpD[], BOOL Interp));
int SrcUD P_((HWORD X[], HWORD Y[], double Factor, UWORD *Time, UHWORD Nx, UHWORD Nwing, UHWORD LpScl, HWORD Imp[], HWORD ImpD[], BOOL Interp));
int resample P_((HWORD Imp[], HWORD ImpD[], UHWORD LpScl, UHWORD Nmult, UHWORD Nwing, double Factor, BOOL InterpFilt));
int main P_((int argc, char *argv[]));
int genFilter P_((HWORD Imp[MAXNWING ], HWORD ImpD[MAXNWING ], UHWORD *LpScl, UHWORD Nmult, UHWORD *Nwing, double Froll));

/* resample.c */
int fail P_((char *s));
int fails P_((char *s, char *s2));
int openData P_((int argc, char *argv[]));
int closeData P_((void));
int readData P_((HWORD Data[], int DataArraySize, int Xoff));
int writeData P_((int Nout, HWORD Data[]));
int getparams P_((double *Factor, BOOL *InterpFilt, UHWORD *Nmult));
int SrcUp P_((HWORD X[], HWORD Y[], double Factor, UWORD *Time, UHWORD Nx, UHWORD Nwing, UHWORD LpScl, HWORD Imp[], HWORD ImpD[], BOOL Interp));
int SrcUD P_((HWORD X[], HWORD Y[], double Factor, UWORD *Time, UHWORD Nx, UHWORD Nwing, UHWORD LpScl, HWORD Imp[], HWORD ImpD[], BOOL Interp));
int resample P_((HWORD Imp[], HWORD ImpD[], UHWORD LpScl, UHWORD Nmult, UHWORD Nwing, double Factor, BOOL InterpFilt));
int main P_((int argc, char *argv[]));

/* warp.c */
int fail P_((char *s));
int fails P_((char *s, char *s2));
int openData P_((int argc, char *argv[]));
int closeData P_((void));
int readData P_((HWORD Data[], int DataArraySize, int Xoff));
int writeData P_((int Nout, HWORD Data[]));
int check P_((void));
int initWarp P_((void));
double warpFunction P_((UWORD Time));
int SrcUD P_((HWORD X[], HWORD Y[], UWORD *Time, UHWORD Nx, UHWORD Nwing, UHWORD LpScl, HWORD Imp[], HWORD ImpD[], BOOL Interp));
int resample P_((HWORD Imp[], HWORD ImpD[], UHWORD LpScl, UHWORD Nmult, UHWORD Nwing, BOOL InterpFilt));
int main P_((int argc, char *argv[]));

#undef P_
